Skip to main content
PATCH
/
lists
/
companies
/
{listId}
Modify a company list
curl --request PATCH \
  --url https://app.tryspecter.com/api/v1/lists/companies/{listId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "add_ids": [
    "5e3a7f2b0aa7a3270a55f2a7"
  ],
  "delete_ids": [
    "5e3a7f2b0aa7a3270a55f2a7"
  ]
}
'
import requests

url = "https://app.tryspecter.com/api/v1/lists/companies/{listId}"

payload = {
"add_ids": ["5e3a7f2b0aa7a3270a55f2a7"],
"delete_ids": ["5e3a7f2b0aa7a3270a55f2a7"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
add_ids: ['5e3a7f2b0aa7a3270a55f2a7'],
delete_ids: ['5e3a7f2b0aa7a3270a55f2a7']
})
};

fetch('https://app.tryspecter.com/api/v1/lists/companies/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "errorCode": "INVALID_LIST_UUID",
  "message": "List id must be a valid UUID."
}
{
"errorCode": "API_KEY_MISSING",
"message": "No API Key was presented on the header X-API-KEY"
}
{
"errorCode": "NOT_PERMITTED",
"message": "You do not have permission to access this resource."
}
{
"errorCode": "<string>",
"message": "<string>"
}
{
"errorCode": "<string>",
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

listId
string<uuid>
required

The ID of the list being requested.

Body

application/json

Request to add and delete ids

add_ids
string[]

List of companies to add to the list

ID of company being added

delete_ids
string[]

List of companies to remove from the list

ID of company being removed

Response

OK